Description: skip obsolete allocations
 Update for current gcl memory allocation
Forwarded: not-needed
Author: Camm Maguire <camm@debian.org>

--- fricas-1.3.11.orig/src/interp/util.lisp
+++ fricas-1.3.11/src/interp/util.lisp
@@ -55,7 +55,8 @@ at load time.
                            (cfun 100)
                            (cpages 3000)
                            (rpages 1000)
-                           (hole 2000) )
+                             (hole 2000) )
+  (return-from init-memory-config nil)
   ;; initialize GCL memory allocation parameters
   (progn
     (system:allocate 'cons cons)
--- fricas-1.3.11.orig/src/lib/sockio-c.c
+++ fricas-1.3.11/src/lib/sockio-c.c
@@ -760,7 +760,7 @@ connect_to_local_server(char *server_nam
   uaddr->sun_family = FRICAS_AF_LOCAL;
   strncpy(uaddr->sun_path, name, sizeof(uaddr->sun_path) - 1);
   for(i=0; i<max_con; i++) {
-    code = connect(sock->socket, uaddr, sizeof(*uaddr));
+    code = connect(sock->socket, (struct sockaddr *)uaddr, sizeof(*uaddr));
     if (code == -1) {
       if (
         /* @@@ Why we need this */
@@ -938,7 +938,7 @@ open_server(char *server_name)
     struct sockaddr_un * uaddr = &(sock->addr.u_addr);
     uaddr->sun_family = FRICAS_AF_LOCAL;
     strncpy(uaddr->sun_path, name, sizeof(uaddr->sun_path) - 1);
-    if (bind(sock->socket, uaddr, sizeof(*uaddr))) {
+    if (bind(sock->socket, (struct sockaddr *)uaddr, sizeof(*uaddr))) {
       perror("binding local server socket");
       server[1].socket = 0;
       return -2;
